Bug 190158 - special entities no replaced with job data
special entities no replaced with job data
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-28 06:27 EDT by Àlex Magaz Graça
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-15 07:39:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Àlex Magaz Graça 2006-04-28 06:27:09 EDT
Description of problem:

The foomatic-rip command doesn't replaces the special entities with job data.

Version-Release number of selected component (if applicable):

3.0.2-19.2

How reproducible:

Steps to Reproduce:
1. Download this ppd:
http://www.linuxprinting.org/foomatic-db/db/source/PPD/Ricoh/PXL/Ricoh-Aficio_2035_PXL.ppd

2. Execute 'foomatic-rip --ppd Ricoh-Aficio_2035_PXL.ppd -o JobType=LockedPrint
some_postscript_file.ps | head -16'

3.
  
Actual results:

12345X@PJL SET RESOLUTION=600
@PJL SET ECONOMODE=OFF
@PJL SET DUPLEX=OFF
@PJL SET MEDIATYPE=PLAIN
@PJL SET OUTBIN=SYSDEFAULT
@PJL SET STAPLE=OFF
@PJL SET PUNCH=OFF
@PJL SET USERID="&user;"
@PJL SET HOSTLOGINNAME="&user;"
@PJL SET DATE="&year;/&month;/&date;"
@PJL SET TIME="&hour;:&min;:&sec;"
@PJL SET JOBID="&title;"
@PJL SET JOBNAME="&title;"
@PJL SECUREJOB
@PJL ENTER LANGUAGE = PCLXL
) HP-PCL XL;1;1;Comment Copyright Aladdin Enterprises 1996

Expected results:

12345X@PJL SET RENDERMODE=GRAYSCALE
@PJL SET RESOLUTION=600
@PJL SET ECONOMODE=OFF
@PJL SET DUPLEX=OFF
@PJL SET MEDIATYPE=PLAIN
@PJL SET OUTBIN=SYSDEFAULT
@PJL SET STAPLE=OFF
@PJL SET PUNCH=OFF
@PJL SET USERID="alex"
@PJL SET HOSTLOGINNAME="alex"
@PJL SET DATE="2006/04/28"
@PJL SET TIME="12:15:03"
@PJL SET JOBID="alex@ASIC103"
@PJL SET JOBNAME="alex@ASIC103"
@PJL SECUREJOB
@PJL ENTER LANGUAGE = PCLXL

The entities '&user;', '&title', etc. should get replaced like above.

Additional info:

The function that does the replace is unhtmlify(). This is solved in
foomatic-3.0.2-33.3 from Fedora Core 5.

Note You need to log in before you can comment on or make changes to this bug.